<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<!--Let browser know website is optimized for mobile-->
	<meta name="viewport" content="width=device-width, initial-scale=1.0"/>

	<title>{ifset title}{include title|stripHtml} | {/ifset}Nette Web</title>

	<!--Import Google Icon Font-->
	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
	<!--Import materialize.css-->
	<link type="text/css" rel="stylesheet" href="{$basePath}/css/materialize.min.css"  media="screen,projection"/>

	<link type="text/css" rel="stylesheet" href="{$basePath}/css/main.css"/>


</head>

<body>

<script type="text/javascript" src="{$basePath}/js/jquery-3.3.1.min.js"></script>
<script type="text/javascript" src="{$basePath}/js/nette.ajax.js"></script>
<script type="text/javascript" src="{$basePath}/js/netteForms.js"></script>
<script type="text/javascript" src="{$basePath}/js/materialize.min.js"></script>

{snippet flash}
	{var $i = 0}
	{foreach $flashes as $flash}
		<script>
			var message = {$flash->message};
			var index = {$i};
			setTimeout(function(){ M.toast({ html: message}) }, 300 * index)
		</script>
		{php $i++}
	{/foreach}
{/snippet}

<ul id="dropdown-user" class="dropdown-content">

	<li class="divider"></li>
	{if $user->isInRole('owner')}
		<li><a n:href="Owner:"><i class="material-icons left">settings</i>Nástěnka</a></li>
	{/if}
	{if $user->isInRole('main_waiter')}
		<li><a n:href="Item:"><i class="material-icons left">settings</i>Položky menu</a></li>
	{/if}
	<li><a n:href="Sign:out"><i class="material-icons left">exit_to_app</i>Odhlásit</a></li>
</ul>


<div class="navbar-fixed">
	<nav>
		<div class="nav-wrapper black">
			<a n:href="Homepage:" class="brand-logo"><i class="material-icons" style="margin-left: 10px">restaurant</i>U tří selat</a>
			<ul id="nav-mobile" class="right hide-on-med-and-down">
				<li>
					<a class="dropdown-trigger" href="#!" data-target="dropdown-user" >
						{$dao_user->employee->name}
						{$dao_user->employee->surname}
						({$positions[$dao_user->employee->position]})
						<i class="material-icons right">arrow_drop_down</i>
					</a>
				</li>
			</ul>
		</div>
	</nav>
</div>
<div class="container">
{include content}
</div>

<!--JavaScript at end of body for optimized loading-->
<script>
	$(function () {
		$.nette.init();
	});

	(function($) {
		$(".dropdown-trigger").dropdown();

	})(jQuery); // End of jQuery name space

	$(document).ready(function(){
		$('.fixed-action-btn').floatingActionButton();
	});

	$(document).ready(function(){
		$('.modal').modal();
	});

	$(document).ready(function(){
		$('select').formSelect();
	});

	$(document).ready(function(){
		$('.datepicker').datepicker({
			firstDay: 0,
			format: 'yyyy-mm-dd',
			minDate: new Date()
		});
	});

	$(document).ready(function(){
		$('.timepicker').timepicker({
			defaultTime: 'now',
			twelveHour: false,
		});
	});
</script>
</body>
</html>
